Package Details: trid 2.24-3

Git Clone URL: (read-only)
Package Base: trid
Description: An utility designed to identify file types from their binary signatures
Upstream URL:
Licenses: custom
Submitter: None
Maintainer: Huulivoide
Last Packager: Huulivoide
Votes: 7
Popularity: 0.401975
First Submitted: 2009-08-09 11:39
Last Updated: 2018-02-19 12:56

Latest Comments

Huulivoide commented on 2018-02-19 12:58

Sorry for the Offline time. md5sums have been updated and all should be working now. Also the update script has been updated to be Python 3 compliant, thus it is used instead of Python 2.

TrakTrakTrugui commented on 2017-09-30 21:03

Hi, I'm getting this error:

==> Validating source files with md5sums... ... Passed ... Passed
update-trid-defs.service ... Passed
update-trid-defs.timer ... Passed ... FAILED
==> ERROR: One or more files did not pass the validity check!
:: failed to verify trid integrity

Pezo commented on 2017-03-22 13:03

In you should use "$@" instead of $* for passing arguments with spaces properly.

bitwave commented on 2016-04-18 18:20

please update md5sums

bitwave commented on 2015-07-25 18:06

please change this:

post_upgrade() {

to this:

post_upgrade() {

bash says it's a syntax error

Anonymous comment on 2011-06-20 13:37

Ok, done. (lib32-)ncurses satisfies (lib32-)glibc, thus no extra mentioning.
The launch script has also been improved.

Huulivoide commented on 2011-06-20 13:09

and lib32-ncurses

Huulivoide commented on 2011-06-20 13:08

Please add lib32-glibc ass depency for x86_64

Anonymous comment on 2011-01-22 07:17

I had to change the checksums to


to get it to work.